#include "ofApp.h"
//--------------------------------------------------------------
void ofApp::setup(){
    //Environment
    ofSetOrientation(OF_ORIENTATION_90_LEFT);
    ofSetBackgroundColor(0);
    //Setup
    myVideo.load("Breakfas1939_512kb.mp4");
    myVideo.play();
    prevX=0;
}
//--------------------------------------------------------------
void ofApp::update(){
    myVideo.update();
}
//--------------------------------------------------------------
void ofApp::draw(){
    float aspectRatio = myVideo.getWidth()/myVideo.getHeight();
    float videoWidth = ofGetHeight()*aspectRatio;
    float videoMargin = (ofGetWidth()-videoWidth)/2;
    ofSetColor(255,255,255,127);
    myVideo.draw(videoMargin, 0,videoWidth,ofGetHeight());
    ofDrawRectangle(0, 0, myVideo.getPosition()*ofGetWidth(), 20);
}
//--------------------------------------------------------------
void ofApp::exit(){}
//--------------------------------------------------------------
void ofApp::touchDown(ofTouchEventArgs & touch){
    myVideo.setPaused(!myVideo.isPaused());
}
//--------------------------------------------------------------
void ofApp::touchMoved(ofTouchEventArgs & touch){
    float myPosition = ofMap(touch.x,0,ofGetWidth(),0,1);
    float speedX=abs(touch.x-prevX);
    if(speedX>2) myVideo.setPosition(myPosition);
    prevX=touch.x;
    //printf("Speed x: %f ",speedX);
}

//--------------------------------------------------------------
void ofApp::touchUp(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchDoubleTap(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void ofApp::lostFocus(){

}

//--------------------------------------------------------------
void ofApp::gotFocus(){

}

//--------------------------------------------------------------
void ofApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void ofApp::deviceOrientationChanged(int newOrientation){

}

